
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>SQL语句case关键字的用法 / 憋错料</title>

    <meta name="description" content="SQL语句case关键字的用法 一.简述 在操作数据库的过程经常忘了case关键字的语法,所以在此记录一下. 二.内容 case的简单语法 SELECT testName, testSex, CASE testSex WHEN '1' THEN '男' WHEN '0' THEN '女' END Sex FROM testDataTable SELECT testName, testDatetime, CASE WHEN testDatetime &lt; '2016-04-11' THEN 'old' ELSE 'new'  ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">SQL语句case关键字的用法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h3>一、简述</h3>
<p>在操作数据库的过程经常忘了case关键字的语法，所以在此记录一下。</p>
<h3>二、内容</h3>
<p>case的简单语法</p>
<pre>SELECT testName, testSex,
CASE testSex
　　WHEN ‘1‘ THEN ‘男‘
　　WHEN ‘0‘ THEN ‘女‘
END Sex
FROM testDataTable </pre>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzY1MzY2NS8yMDE2MDQvNjUzNjY1LTIwMTYwNDI0MTIwMjQ3MjQxLTExNDQ3NzMuanBn.jpg" /></p>
<pre>SELECT testName, testDatetime,
CASE
    WHEN testDatetime &lt; ‘2016-04-11‘ THEN ‘old‘
    ELSE ‘new‘
END Datetime
FROM testDataTable </pre>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzY1MzY2NS8yMDE2MDQvNjUzNjY1LTIwMTYwNDI0MTIwNDM5NjE2LTE2NjMzNjEyNjMuanBn.jpg" /></p>
<p>Count嵌入case的用法</p>
<pre>SELECT COUNT(CASE
    WHEN testSex=‘1‘ THEN 1
    ELSE NULL    --这里要用NULL，不能用0
END )男生总数 FROM testDataTable</pre>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzY1MzY2NS8yMDE2MDQvNjUzNjY1LTIwMTYwNDI0MTIxMTAzNDQ1LTEzNzkxNDE3MTMuanBn.jpg" /></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 00:04:49 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>SQL语句case关键字的用法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEOXzg3.html" rel="bookmark">SQL 语句及关键字的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.SELECT select [ALL|DISTINCT] select_list [into new table] FROM table_source [where serch_conditaion] [GROUP BY group_by_expression] [Having serch_conditaion] [Order by order_expression[ASC|DESC]] --从上面的语句可以看出SELECT 查询语句共有5个子句 其中SELECT\FROM 为必选语句 --			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NlqGB0.html" rel="bookmark">SQL语句查询关键字中含有特殊符号怎么处理， 例如 &amp;&num;39&semi;SMI&lowbar;&amp;&num;39&semi;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL语句查询关键字中含有特殊符号怎么处理, 例如 'SMI_' 错误:select * from emp  where ename like '%SML_%' 正确:select * from emp  where ename like '%SML\_%' escape '\' SQL语句查询关键字中含有特殊符号怎么处理, 例如 'SMI_' 原文地址:https://www.cnblogs.com/brianlai/p/10325829.html			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0RGA1P3.html" rel="bookmark">Oracle的sql语句中case关键字的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				例子1: a)查询列中有&quot;_&quot;开头的列名时,需要用双引号引起来. b)使用&quot;case&quot;关键字,根据分数直接判断是否及格. create table tbl_score( id NUMBER(4), --id name varchar2(30), --名称 score NUMBER(3), --分数 otherscore NUMBER(3) --其他分数 ); select t.id as &quot;_id&quot;, t.name as name, case w			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YYLKw0.html" rel="bookmark">SQL语句一些特殊的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.基础 1.说明:创建数据库 CREATE DATABASE database-name 2.说明:删除数据库 drop database dbname 3.说明:备份sql server --- 创建 备份数据的 device USE master EXEC sp_addumpdevice 'disk', 'testBack', 'c:\mssql7backup\MyNwind_1.dat' --- 开始 备份 BACKUP DATABASE pubs TO testBack 4.说明:创建			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBbgkjM.html" rel="bookmark">SQL语句中having的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在 SQL 中增加 HAVING 子句原因是,WHERE 关键字无法与合计函数一起使用. having子句用法一(来自w3school): SQL HAVING 语法如下 SELECT column_name, aggregate_function(column_name) FROM table_name WHERE column_name operator value GROUP BY column_name HAVING aggregate_function(column_name) ope			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzLQgJ3.html" rel="bookmark">SQL之case when then用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				case具有两种格式.简单case函数和case搜索函数. --简单case函数 case sex when '1' then '男' when '2' then '女' else '其他' end --case搜索函数 case when sex = '1' then '男' when sex = '2' then '女' else '其他' end 这两种方式,可以实现相同的功能.简单case函数的写法相对比较简洁,但是和case搜索函数相比,功能方面会有些限制,比如写判定式. 还有一个需要			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzEVXd4.html" rel="bookmark">SQL之case when then用法&lpar;用于分类统计&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ase具有两种格式.简单case函数和case搜索函数. --简单case函数 case sex when '1' then '男' when '2' then '女’ else '其他' end --case搜索函数 case when sex = '1' then '男' when sex = '2' then '女' else '其他' end 这两种方式,可以实现相同的功能.简单case函数的写法相对比较简洁,但是和case搜索函数相比,功能方面会有些限制,比如写判定式. 还有一个需要注			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MooQklM.html" rel="bookmark">Sql语句-case when then else end</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				依据上面的表信息输出以下的结果: 以下是建库和表结构据: create table DeptSales ( deptID int, SubjMonth int , sales int , deptname varchar(50) ) insert into deptsales (deptid ,subjmonth,sales) values (1,1,55); insert into deptsales (deptid ,subjmonth,sales) values (2,1,66); ins			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGnn1G4.html" rel="bookmark">SQL中case when then用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				sql语句判断方式之一Case.具有两种格式:简单的Case函数.Case搜索函数. 1.简单Case函数 CASE sex WHEN '1' THEN '男' WHEN '2' THEN '女' ELSE '其他' END 2.Case搜索函数 CASE WHEN sex='1' THEN '男' WHEN sex='2' THEN '女' ELSE sex='其他' END			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/pMPvQa3.html" rel="bookmark" class="title">HDU1394 Minimum Inversion Number       线段树&plus;数学</a>
					<div>
						Problem Description The inversion number of a given number sequence a1, a2, -, an is the number of p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/13862nM.html" rel="bookmark" class="title">最短路径问题</a>
					<div>
						时间限制: 1 s 空间限制: 32000 KB 题目等级 : 黄金 Gold 题目描述 Description 平面上有n个点(n&lt;=100),每个点的坐标均在-10000~10000之间.其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/B0Ra5vM.html" rel="bookmark" class="title">&lbrack;转&rsqb; 传统 Ajax 已死，Fetch 永生</a>
					<div>
						原谅我做一次标题党,Ajax 不会死,传统 Ajax 指的是 XMLHttpRequest(XHR),未来现在已被 Fetch 替代. 最近把阿里一个千万级 PV 的数据产品全部由 jQuery 的  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vEDqo0.html" rel="bookmark" class="title">常用代码整理&lpar;重要&rpar;</a>
					<div>
						常用代码整理: 1.判断邮箱格式是否正确的代码: //利用正则表达式验证 -(BOOL)isValidateEmail:(NSString *)email { NSString *emailRegex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lXbvP0.html" rel="bookmark" class="title">第九章：图论和网络爬虫</a>
					<div>
						上面我们谈了在搜索引擎中,如何建立索引,这里,我们讲如何自动下载互联网上所有的网页,重点就是图论中的遍历算法. 1.图论和网络爬虫 遍历算法主要有两种,一种是深度优先遍历,一种是广度优先遍历.所谓深度 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmlzYK4.html" rel="bookmark" class="title">css -- 布局元素</a>
					<div>
						默认情况下拥有布局的元素:HTML ,table,tr,td,img,hr,input,select,textarea,button,iframe,embed,object,applet,marque ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0K2kaOM.html" rel="bookmark" class="title">java学习笔记一</a>
					<div>
						只记录一些我认为比较必要,容易出错的地方.(不断更新中) 内存:分为四段,代码段code segment,数据段data segment,栈stack, 堆heap.记住如下图 数据类型: 1.jav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzQ9J84.html" rel="bookmark" class="title">Ztack学习笔记&lpar;3&rpar;-系统启动分析</a>
					<div>
						一 系统启动 //OSAL.cvoid osal_start_system( void ) { #if !defined ( ZBIT ) &amp;&amp; !defined ( UBIT ) f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0leApZ3.html" rel="bookmark" class="title">&lbrack;转载&rsqb;程序员必须知道的10大基础实用算法及其讲解</a>
					<div>
						算法一:快速排序算法   快速排序是由东尼·霍尔所发展的一种排序算法.在平均状况下,排序 n 个项目要Ο(n log n)次比较.在最坏状况下则需要Ο(n2)次比较,但这种状况并不常见.事实上,快速排 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pQpvVM.html" rel="bookmark" class="title">what is apache2 &quest;</a>
					<div>
						I was recently allocated a virtuoal server with apache installed. I tried to inspect the installatio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pPEjP4.html" rel="bookmark" class="title">c&plus;&plus; 比较两个集合</a>
					<div>
						要先std::sort std::set_difference std::set_union c++ 比较两个集合,布布扣,bubuko.com					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0R7ePP3.html" rel="bookmark" class="title">Linux解压&period;tar &period;tgz &period;tar&period;gz &period;tar&period;Z等文件</a>
					<div>
						.tar 解包:tar xvf FileName.tar 打包:tar cvf FileName.tar DirName (注:tar是打包,不是压缩!) ---------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWVoQy4.html" rel="bookmark" class="title">淘宝电影联合华谊的数据报告，还有哪些重要信息？</a>
					<div>
						这两日,淘宝电影联合华谊兄弟研究院发布的&lt;2015中国影市报告&gt;吸引了不少电影爱好者的关注,这份图析数据报告直观的告诉了我们很多市场情况,但对于行业人士而言,读懂其中潜在的数据信息或许更有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j2nqo0.html" rel="bookmark" class="title">黑马程序员&mdash;&mdash;工具类Collections的使用</a>
					<div>
						工具类Collections的使用 import java.util.ArrayList; import java.util.Collections; import java.util.Compara ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aRxLv3.html" rel="bookmark" class="title">oracle查询小结1</a>
					<div>
						select a.dt,nvl(a.version_id,'-') version_id, case when a.clickevent='clickEvent00116' then '桌面悬浮窗展现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k9WWE4.html" rel="bookmark" class="title">a&Hat;b&percnt;c 的三种形式</a>
					<div>
						求a^b%c,(1  &lt;= a,b &lt;= 2^62, 1 &lt;= c &lt;= 10^9) 最基本的快速幂 _LL mod_exp(_LL a, _LL b, int c) { _L ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0azD6P3.html" rel="bookmark" class="title">JS、jQuery</a>
					<div>
						JS 一.词法结构 1.区分大小写 2.注意 //单行 /* 多行注释 */ 3.字面量(直接量 literal) 12 数字 5.8 小数 &quot;hello&quot; 'hello' tru ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGe8XZ3.html" rel="bookmark" class="title">iOS开发&mdash;&mdash;实用技术OC片&amp;amp&semi;点击状态栏回到顶部</a>
					<div>
						点击状态栏回到顶部 经常我们在使用一个App的时候,比如QQ,微信等流行App都会有一个很常见的功能,就是当我们刷新了很多节目的时候,先立刻回到顶部只需要轻轻点一下状态栏就可以(当然这种方法不是谁都知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n77b73.html" rel="bookmark" class="title">iOS开发&amp;mdash&semi;&amp;mdash&semi;给ImageView添加点击事件</a>
					<div>
						      给ImageView添加点击事件   1: cell.pictureView.userInteractionEnabled = YES; 2: UITapGestureRecognizer ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KPKY93.html" rel="bookmark" class="title">辛星浅析tar命令的基本使用</a>
					<div>
						我们通常使用tar命令来对文件或者目录进行打包或者压缩,可能朋友们刚接触的时候会有点晕,百度搜的时候就和查手册一样,不够通俗易懂,今天辛星就给朋友们用另一种方式去解决这个问题. 我们首先还是要对它的几 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
